$(function () {

  	$('.button_delete_modal').on('click', function() {

  		var id = $(this).data("id");
  	
  		$('#delete_modal').modal({
  			closable: false,
		    onApprove : function() {
		    	sendDelete(id);
		    }
  		}).modal('show');  
  	});		  

  	function sendDelete(id) {

	    var data = {id_proveedor : id};

        $.requestApi('/proveedor/eliminar', data, 'POST', function (resolve) {
	        if (resolve) {
                if (resolve.message === "success") {
                    $('[data-table="'+id+'"]').remove();         
                }
	            $.showMessages(resolve);
	        }
	    });
        
        return false;
	};

    $('.button_info_modal').on('click', function() {

        var id = $(this).data("id");
        var data = {id_proveedor : id};
        $.requestApi('/proveedor/getById', data, 'POST', function (resolve) {
            if (resolve) {
                $('#nombre').text(resolve.nombre); 
                $('#tipo_documento').text(resolve.tipo_documento ? resolve.tipo_documento.nombre : ''); 
                $('#numero_documento').text(resolve.numero_documento); 
                $('#direccion').text(resolve.direccion); 
                $('#telefono').text(resolve.telefono); 
                $('#email').text(resolve.email); 
    
                $('#detalles_modal').modal('show'); 
            }
        });
    });       

    $('.btn_reporte').on('click', function() {
        window.open(APP_URL+'/../pdf/listaProveedores.php', '_blank');
    });

 
});	